## libudis86 0+20221013

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(udis86 LANGUAGES C)

include_directories("${PROJECT_SOURCE_DIR}")

add_subdirectory(libudis86)
add_subdirectory(udcli)

add_library(udis86 INTERFACE)
target_include_directories(udis86 INTERFACE ${CMAKE_SOURCE_DIR})
target_link_libraries(udis86 INTERFACE libudis86)

=== libudis86/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(libudis86 LANGUAGES C)

set(CMAKE_C_STANDARD 99)

if(NOT EXISTS ${PROJECT_SOURCE_DIR}/itab.c OR NOT EXISTS ${PROJECT_SOURCE_DIR}/itab.h)
	find_package(Python3 COMPONENTS Interpreter)
	set(OPTABLE ${PROJECT_SOURCE_DIR}/../docs/x86/optable.xml)
	message("Building itab.c/itab.h...")
	execute_process(
		COMMAND ${Python3_EXECUTABLE} ${PROJECT_SOURCE_DIR}/../scripts/ud_itab.py ${OPTABLE} .
		WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
	)
endif()

set(FILES
	decode.c
	decode.h
	extern.h
	itab.c
	itab.h
	syn-att.c
	syn-intel.c
	syn.c
	syn.h
	types.h
	udint.h
	udis86.c)

add_library(libudis86 STATIC ${FILES})

target_include_directories(libudis86 PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== udcli/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(udcli LANGUAGES C)

add_executable(udcli EXCLUDE_FROM_ALL udcli.c)
target_link_libraries(udcli udis86)

=== debian/changelog ===
libudis86 (0+20221013-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Jul 2024 19:57:34 -0400

libudis86 (0+20221013-1) unstable; urgency=low

  * Initial release. Closes: #1061940

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Mon, 29 Jan 2024 09:13:39 +0000

=== debian/control ===
Source: libudis86
Section: misc
Priority: optional
Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
Build-Depends: debhelper-compat (= 13),
               python3,
               python3-sphinx,
               pandoc
Standards-Version: 4.7.0
Homepage: https://github.com/canihavesomecoffee/udis86
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/NyxTrail/udis86.git
Vcs-Browser: https://salsa.debian.org/NyxTrail/udis86

Package: libudis86-0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Disassembler for x86 and x86-64 class ISA (library)
 Udis86 is a disassembler for the x86 and x86-64 class of instruction
 set architectures. It consists of a C library called libudis86 which
 provides a clean and simple interface to decode and inspect a stream
 of raw binary data as disassembled instructions in a structured manner,
 and a command line tool called udcli that incorporates the library.
 .
 This package contains the main library.

Package: libudis86-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libudis86-0 (= ${binary:Version})
Description: Disassembler for x86 and x86-64 class ISA (development files)
 Udis86 is a disassembler for the x86 and x86-64 class of instruction
 set architectures. It consists of a C library called libudis86 which
 provides a clean and simple interface to decode and inspect a stream
 of raw binary data as disassembled instructions in a structured manner,
 and a command line tool called udcli that incorporates the library.
 .
 This package contains the development files for the udis86 library.

Package: udcli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libudis86-0
Description: Disassembler for x86 and x86-64 class ISA (cli)
 Udis86 is a disassembler for the x86 and x86-64 class of instruction
 set architectures. It consists of a C library called libudis86 which
 provides a clean and simple interface to decode and inspect a stream
 of raw binary data as disassembled instructions in a structured manner,
 and a command line tool called udcli that incorporates the library.
 .
 This package contains the CLI program for udis86 library.

Package: libudis86-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Disassembler for x86 and x86-64 class ISA (documentation)
 Udis86 is a disassembler for the x86 and x86-64 class of instruction
 set architectures. It consists of a C library called libudis86 which
 provides a clean and simple interface to decode and inspect a stream
 of raw binary data as disassembled instructions in a structured manner,
 and a command line tool called udcli that incorporates the library.
 .
 This package contains the CLI documentation for udis86 library.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@ --with autoreconf,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	sphinx-build -c docs/manual -bhtml docs/manual docs/manual/html
# override_dh_autoreconf:
	#dh_autoreconf -- ./autogen.sh
override_dh_auto_configure:
	dh_auto_configure -- --with-python=/usr/bin/python3
override_dh_auto_install:
	mkdir -p debian/tmp/usr/share/doc/udcli \
		debian/tmp/usr/share/doc/udis86/html \
		debian/tmp/usr/share/doc/udis86/x86
	mv docs/manual/html debian/tmp/usr/share/doc/udis86/
	cp docs/x86/avx.xml docs/x86/README debian/tmp/usr/share/doc/udis86/x86/
	pandoc debian/udcli.1.rst --standalone \
		--variable=header:"udcli User Manual" \
		--variable=section:1 \
		--from rst \
		--to man > debian/tmp/usr/share/doc/udcli/udcli.1
	dh_auto_install
override_dh_auto_test:
	:
override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/doctrees

=== debian/watch ===
version=4
# Upstream has not published a new version in ~10+ years and 
# there is no active development.
# There is no meaningful way to configure uscan at the moment.
